#pragma once

/*typedef int ProfSecID;

class Profiler
{
	struct SProfSection
	{
		float m_totalTime;
		float m_totalMaxTime;
		float m_lastPeriodMaxTime;
		float m_avgTime;
		float m_minTime;
		int m_hits;
	};

	typedef std::map< ProfSecID, SProfSection> ProfMap;

	ProfMap m_sections;

public:
	
};

Profiler & GetProfiler();

class Profiler()
{
	float m_startTime;
public:
	Profile( ProfSecID id, const char *name )
	{
		GetProfiler().PushSection( id, name );
	}

	~Profile()
	{}
};
*/